//*****************************************************************************
//
// MSP432 main.c template - Empty main
//
//****************************************************************************

#include "MSP432P401M.h"
#include <ti/devices/msp432p4xx/driverlib/driverlib.h>
#define CALIBRATION_START 0x0001F000
#pragma SET_DATA_SECTION(".mydata")
const unsigned int mydata[]={0x00000001,0x00000002,0x00000003,0x00000004,0x00000005};


void main(void)
{
	
    WDTCTL = WDTPW | WDTHOLD;           // Stop watchdog timer
    unsigned int arr[0x20];
    unsigned long data[5];
    unsigned long data1[4096];
        int i;
        for(i=0;i<0x20;i++)
            arr[i]=mydata[i];
    P9->DIR |= BIT7;

//    dev_init();

    /* Unprotecting Info Bank 0, Sector 0  */
        MAP_FlashCtl_unprotectSector(FLASH_MAIN_MEMORY_SPACE_BANK0,FLASH_SECTOR31);

    /* Trying to erase the sector. Within this function, the API will automatically try to erase the maximum number of tries. If it fails,
       trap in an infinite loop */
        MAP_FlashCtl_eraseSector(CALIBRATION_START);

   /* Setting the sector back to protected  */
        MAP_FlashCtl_protectSector(FLASH_MAIN_MEMORY_SPACE_BANK0,FLASH_SECTOR31);

        __no_operation();

  /*data[0]= ReadFlash(0x00019800);
    data[1]= ReadFlash(0x00019804);
    data[2]= ReadFlash(0x00019808);
    data[3]= ReadFlash(0x0001980C);
    data[4]= ReadFlash(0x00019810);*/

   while(1);
 /*   {

        __delay_cycles(12000);  // for generating a square wave at 2Khz when 48MHz crystal is enabled
        P9->OUT |= BIT7;
        __delay_cycles(12000);
        P9->OUT &= ~BIT7;

    }*/
}
